# Uses of Class
org.apache.avro.LogicalTypes.Decimal

Packages that use LogicalTypes.Decimal
Package
Description
org.apache.avro
Avro kernel classes.

## Uses of LogicalTypes.Decimal in org.apache.avro

Methods in org.apache.avro that return LogicalTypes.Decimal
Modifier and Type
Method
Description
`static LogicalTypes.Decimal`
LogicalTypes.`decimal(int precision)`
Create a Decimal LogicalType with the given precision and scale 0
`static LogicalTypes.Decimal`
LogicalTypes.`decimal(int precision, int scale)`
Create a Decimal LogicalType with the given precision and scale